Bug 794520 - Include JBESB-3705 in SOA-P 5
Include JBESB-3705 in SOA-P 5
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.2.0 GA
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: kconner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 20:42 EST by Jason Shepherd
Modified: 2015-03-12 07:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
ESB applications are deployed at a context root corresponding the application name. (For example, app.esb is deployed at /app.) This causes problems when used with Maven since the artifacts are usually named app-1.x.x.esb. You can change the context root of an esb application through a descriptor instead of using the archive name.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3705 Minor Open Setting the context root of an ESB application 2014-07-10 12:34:45 EDT

  None (edit)
Description Jason Shepherd 2012-02-16 20:42:58 EST
Description of problem:

Currently an ESB application is deployed at a context root the same as the application name. For example app.esb is deployed at /app. This causes problem when used with maven since artifacts are usually in form of app-1.x.x.esb. 

Version-Release number of selected component (if applicable):

Jboss ESB 4.9


Additional info:

See https://issues.jboss.org/browse/JBESB-3705
Comment 2 Rick Wagner 2012-03-19 17:42:03 EDT
Customer facing, let's please prioritize this over lesser 'medium' priorities if possible.  Thank you.
Comment 4 Suz 2012-06-12 02:14:58 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
ESB applications are deployed at a context root corresponding the application name. (For example, app.esb is deployed at /app.) This causes problems when used with Maven since the artifacts are usually named app-1.x.x.esb. You can change the context root of an esb application through a descriptor instead of using the archive name.
Comment 5 Noel OConnor 2012-08-21 02:53:01 EDT
An example of this context-root changing descriptor would be useful. 
I've checked the SOA-P 5.3 XSDs and no new descriptor has been added.

Note You need to log in before you can comment on or make changes to this bug.